Skip to main content
Version: 10.1

Paged Queries

Paged queries always respond to this set of query parameters in addition to the parameters for the specific command:   

  • start_row: First row is row 1  
  • number_of_rows: Number greater than 0, when not specified returns all rows by default.  
  • sort_name: Column to sort by.  
  • sort_order: Order to sort by. Can be one of "ASC" (ascending) or "DESC" (descending). Default order where not specified is ascending.
  • sort_list: A list of sort_name and sort_order pairs. This parameter is only supported if listed in its resource description. It sorts each parameter in order. User is responsible for escaping as shown below:
    • For example, a valid not escaped sort_list value is [{"sort_name":"cc","sort_order":"ASC"},{"sort_name":"asn","sort_order":"ASC"}]
    • Escaping turns that into [%7B%22sort_name%22:%22cc%22,%22sort_order%22:%22DESC%22%7D,%7B%22sort_name%22:%22asn%22,%22sort_order%22:%22DESC%22%7D]

Paged queries will always include these fields in the response:   

  • rows: Total number of rows for this query  
  • start: The row at which this paged query starts   

Responses for page queries will always be wrapped in this structure:   

 {
"data": [...], //Array of data entries
"rows": 5, //Number of entries produced by this request
"start": 0 //The row at which this paged query starts
}